library(immuneSIM)

generate_repertoires <- function(number_of_sequences) {
  a_chain <- immuneSIM(
    number_of_seqs = number_of_sequences,
    species = "hs",
    receptor = "tr",
    chain = "a",
    verbose = TRUE
  )
  b_chain <- immuneSIM(
    number_of_seqs = number_of_sequences,
    species = "hs",
    receptor = "tr",
    chain = "b",
    verbose = TRUE
  )
  return(list("a_chain" = a_chain, "b_chain" = b_chain))
}


